This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 201829 - PowerPath devices,LVM2
PowerPath devices,LVM2
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: LVM and device-mapper development team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-09 01:45 EDT by xzh
Modified: 2010-05-17 10:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-17 10:37:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description xzh 2006-08-09 01:45:29 EDT
Description of problem:
EMC powerpath LUNs with LVM2

Version-Release number of selected component (if applicable):
[root@db163 etc]# uname -a
Linux db163 2.6.9-34.ELsmp #1 i686 i686 i386 GNU/Linux
[root@db163 etc]# rpm -qa|grep lvm2
lvm2-2.02.01-1.3.RHEL4

How reproducible:
[root@db163 etc]# powermt display dev=all|grep name|sort
Pseudo name=emcpowera
Pseudo name=emcpowerb
Pseudo name=emcpowerc
Pseudo name=emcpowerd
Pseudo name=emcpowere
Pseudo name=emcpowerf
Pseudo name=emcpowerg
Pseudo name=emcpowerh
Pseudo name=emcpoweri
Pseudo name=emcpowerj
Pseudo name=emcpowerk
Pseudo name=emcpowerl
Pseudo name=emcpowerm
Pseudo name=emcpowern
Pseudo name=emcpowero
Pseudo name=emcpowerp
Pseudo name=emcpowerq
Pseudo name=emcpowerr
Pseudo name=emcpowers
Pseudo name=emcpowert
[root@db163 etc]# vgscan
  Reading all physical volumes.  This may take a while...
  No volume groups found
[root@db163 etc]# pvscan
  No matching physical volumes found
[root@db163 etc]# pvcreate /dev/emcpowera
  Physical volume "/dev/emcpowera" successfully created
[root@db163 etc]# pvscan
  Found duplicate PV 2g6Ax3DkSa1wL7k5CpCxi10xwmi6prnK: using /dev/sdcd 
not /dev/emcpowera
  Found duplicate PV 2g6Ax3DkSa1wL7k5CpCxi10xwmi6prnK: using /dev/sdv 
not /dev/sdcd
  Found duplicate PV 2g6Ax3DkSa1wL7k5CpCxi10xwmi6prnK: using /dev/sdap 
not /dev/sdv
  Found duplicate PV 2g6Ax3DkSa1wL7k5CpCxi10xwmi6prnK: using /dev/sdbj 
not /dev/sdap
  PV /dev/sdbj         lvm2 [167.06 GB]
  Total: 1 [167.06 GB] / in use: 0 [0   ] / in no VG: 1 [167.06 GB]

Steps to Reproduce:
1.pvcreate /dev/emcpowera
2.vgscan
  
Actual results:
[root@db163 etc]# pvcreate /dev/emcpowerb
  Physical volume "/dev/emcpowerb" successfully created
[root@db163 etc]# pvscan
  Found duplicate PV 2g6Ax3DkSa1wL7k5CpCxi10xwmi6prnK: using /dev/sdcd 
not /dev/emcpowera
  Found duplicate PV xDa3WEQ7ksOh90SsQZLkxT2woulSzMUk: using /dev/sdt 
not /dev/emcpowerb
  Found duplicate PV 2g6Ax3DkSa1wL7k5CpCxi10xwmi6prnK: using /dev/sdv 
not /dev/sdcd
  Found duplicate PV xDa3WEQ7ksOh90SsQZLkxT2woulSzMUk: using /dev/sdan 
not /dev/sdt
  Found duplicate PV 2g6Ax3DkSa1wL7k5CpCxi10xwmi6prnK: using /dev/sdap 
not /dev/sdv
  Found duplicate PV xDa3WEQ7ksOh90SsQZLkxT2woulSzMUk: using /dev/sdbh 
not /dev/sdan
  Found duplicate PV 2g6Ax3DkSa1wL7k5CpCxi10xwmi6prnK: using /dev/sdbj 
not /dev/sdap
  Found duplicate PV xDa3WEQ7ksOh90SsQZLkxT2woulSzMUk: using /dev/sdcb 
not /dev/sdbh
  PV /dev/sdbj         lvm2 [167.06 GB]
  PV /dev/sdcb         lvm2 [167.06 GB]
  Total: 2 [334.12 GB] / in use: 0 [0   ] / in no VG: 2 [334.12 GB]


Expected results:


Additional info:
Comment 1 Milan Broz 2010-05-17 10:37:29 EDT
I think this was some device-mapper-multipath misconfiguration, paths should not be visible as separate devices.

I this configuration should work with recent updates...

Note You need to log in before you can comment on or make changes to this bug.